gmp_or
gmp_popcount
GMP Functions
PHP Manual

# gmp_perfect_square

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_perfect_square — Perfect square check

### Description

bool gmp_perfect_square ( GMP `$a` )

Check if a number is a perfect square.

### Parameters

`a`

  The number being checked as a perfect square.

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

### Return Values

Returns `TRUE` if `a` is a perfect square, `FALSE` otherwise.

### Examples

Example #1 gmp_perfect_square() example

`<?php
// 3 * 3, perfect square
var_dump(gmp_perfect_square("9"));
// not a perfect square
var_dump(gmp_perfect_square("7"));
// 1234567890 * 1234567890, perfect square
var_dump(gmp_perfect_square("1524157875019052100"));
?>`

The above example will output:

    bool(true)
    bool(false)
    bool(true)

### See Also

- gmp_sqrt() - Calculate square root
- gmp_sqrtrem() - Square root with remainder

gmp_or
gmp_popcount
GMP Functions
PHP Manual